# this include defines the variable ACTIVATE_TEST
include ../Make.config

.PHONY: all clm test cleantest unittest clean cleanall
.PHONY: test_GEM test_CLOUDNET $(ACTIVATE_TEST) test_EVE

all: clm

clm: 
	cd src; make

test: unittest coverage test_GEM test_CLOUDNET $(ACTIVATE_TEST) test_EVE
	cd test; ./report_test_results.py

test_GEM:
	cd test; make test_GEM

test_CLOUDNET:
	cd test; make test_CLOUDNET

test_ACTIVATE:
	cd test; make test_ACTIVATE

test_EVE:
	cd test; make test_EVE

cleantest:
	cd test; make clean

unittest:
	cd test; make unittest

coverage:
	./scripts/run_coverage.py

clean :
	rm -f unittest_logfile.txt
	cd src; make clean

cleanall: clean
	-rm -rf templates
	-rm -f .coverage
	-rm -rf coverage_html
	-rm -f coverage_logfile.txt
	-rm -rf .pytest_cache
	-rm -rf __pycache__
	-rm -rf lib/__pycache__
	cd src; make cleanall
	cd test; make cleanall

pylint:
	./scripts/run_pylint.py
